cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade 1.5.1 to 1.9.1

Upgrade 1.5.1 to 1.9.1

Hi there,

 

I just tried to upgrade a Magento 1.5.1 shop to the latest version.

 

While Magento is updating the database there is the following error:

 

a:5:{i:0;s:287:"Error in file: "/var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Sales/sql/sales_setup/mysql4-upgrade-1.5.9.9-1.6.0.0.php" - SQLSTATE[42000]: Syntax error or access violation: 1075 Incorrect table definition; there can be only one auto column and it must be defined as a key";i:1;s:1116:"
#0 /var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(437): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '1.4.0.25', '1.6.0.8')
#2 /var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(320): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('1.4.0.25', '1.6.0.8')
#3 /var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Core/Model/App.php(417): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /var/www/vhosts/example.com/httpdocs/app/code/core/Mage/Core/Model/App.php(343): Mage_Core_Model_App->_initModules()
#6 /var/www/vhosts/example.com/httpdocs/app/Mage.php(684): Mage_Core_Model_App->run(Array)
#7 /var/www/vhosts/example.com/httpdocs/index.php(87): Mage::run('', 'store')
#8 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";s:4:"skin";s:7:"default";}

I tried the upgrade severall times with no luck :-(. Please help me.

 

Thanks in advance

 

Marco

 

 

2 REPLIES

Re: Upgrade 1.5.1 to 1.9.1

Will you please specify the steps you have followed to upgrade your magento?

Re: Upgrade 1.5.1 to 1.9.1

It seems to be that have errors in setting up version of target. Do you explain more about what you did? If you tried it several times without changing, you can go to topic http://tinyurl.com/fixerrorinupgrademage to find the right solution.

Tags (1)